Your submission was sent successfully! Close

CVE-2016-6309

Published: 26 September 2016

statem/statem.c in OpenSSL 1.1.0a does not consider memory-block movement after a realloc call, which allows remote attackers to cause a denial of service (use-after-free) or possibly execute arbitrary code via a crafted TLS session.

Priority

High

CVSS 3 base score: 9.8

Status

Package Release Status
openssl
Launchpad, Ubuntu, Debian
precise Not vulnerable

trusty Not vulnerable

upstream
Released (1.1.0a)
xenial Not vulnerable

openssl098
Launchpad, Ubuntu, Debian
precise Not vulnerable

trusty Does not exist
(trusty was not-affected)
upstream Needs triage

xenial Does not exist